<?php

require('../fpdf181/fpdf.php');


class pdf extends FPDF
{
	
	// Propiedad para almacenar información adicional
    var $footer_text;
	// Constructor para inicializar la propiedad
    // Constructor para inicializar la propiedad
    function __construct($orientation='P', $unit='mm', $size='letter', $footer_text='')
    {
        parent::__construct($orientation, $unit, $size);
        $this->footer_text = $footer_text;
    }
	
	public function header()
	{
		//Estilo de letra I-scrip U-subrayada B-Bold
        //Estilo cuadro D-bordes F-relleno
        //Tipos de letra
        //$this->SetFont('Arial', 'B', 12);
        //$this->SetFont('courier', 'B', 12);
        //$this->SetFont('times', 'B', 12);

		// Datos de Cabecera del Invoice
		$Cliente	= '';
		$Rif 	    = '';
		$direccion1	= '';
        $direccion2	= '';
        $telefono   = '';
        $instagram  = '';
        $correo     = '';

        //Cuadro
        $this->SetFillColor(89, 88, 88);
        $this->Rect(14,7,187,4,'F');

        //Logo
		$this->Image('LogoTierradeOrigen.png', 17,10, 45);
		
	}

	public function footer()
	{
		// Datos de Cabecera del Invoice
        /*
		$Cliente	= '';
		$Rif 	    = '';
		$direccion1	= '';
        $direccion2	= '';
        $telefono   = '';
        $instagram  = '';
        $correo     = '';
		$correo2    = $this->footer_text;

		$this->SetY(-80);
		$this->SetFont('helvetica', 'B', 7);
		$this->SetTextColor(60);
		$this->SetX(15);
		$this->Cell(80, 10, utf8_decode($Cliente),0,0,'L');
		$this->ln(4);
		$this->SetX(15);
		$this->Cell(80, 10, utf8_decode('Rif. '.$Rif),0,0,'L');
		$this->ln(5);
		$this->SetX(15);
		$this->SetTextColor(100);
		$this->Cell(80, 10, utf8_decode('Entidad Bancaria: Banesco Banco Universal'),0,0,'L');
		$this->ln(5);
		$this->SetX(15);
		$this->SetTextColor(100);
		$this->Cell(80, 10, utf8_decode('Número de cuenta: 0134-0069-57-0691047929'),0,0,'L');
		$this->ln(5);
		$this->SetX(15);
		$this->SetTextColor(100);
		$this->Cell(80, 10, utf8_decode('Correo: '.$correo2),0,0,'L');
		$this->ln(5);
		$this->SetX(15);
		$this->SetTextColor(100);
		$this->Cell(80, 10, utf8_decode('Oferta Válida por 15 días'),0,0,'L');
		$this->ln(5);
        */
	}
}

function Ymd_dmY(string $fecha, string $separador = "/"):string
{
	$ano=substr($fecha,0,4);
	$mes=substr($fecha, 5,2);
	$dia=substr($fecha, 8,2);
	$_fecha=$dia.$separador.$mes.$separador.$ano; 
	return $_fecha;
}

function formatoFecha($fecha)
{
	//$date   = date_format($fecha, 'F, jS Y');
	//$date   =	date('F, jS Y');
	$date   =	date('d/ m/ Y');
	return $date;
}

function SetCurrency(float $valor, string $signo = '$'):string
{
	return $signo.number_format($valor,2,'.','');
}


// Datos de la comapañia
require_once "../modelos/Empresa.php";
$empresa				= new Empresa();
$rsptae					= $empresa->buscarempresa();
$rege					= $rsptae->fetch_object();
$licenialic             = $rege->licenciadelicor;
$nombreem               = $rege->nombre;
$telefenoem             = $rege->telefono;
$direccionem            = $rege->direccion;
$rifem                  = $rege->num_documento;
$email					= $rege->email;
$direccion1				= substr($direccionem, 0, 72);
$direccion2				= substr($direccionem, 74);
$telefono   			= '/04142933647';
$instagram  			= $rege->licenciadelicor;

// Capturar el valor del pie de página
$footer_text = $email;

// Se define el tamaño de hoja y margenes
$fpdf = new pdf('P','mm','letter', $footer_text);
$fpdf->AddPage('portrait', 'letter');
$fpdf->SetMargins(10,30,20);

//Encabecado de la compañia
$fpdf->SetFont('helvetica', 'B', 12);
$fpdf->SetTextColor(60);
$fpdf->SetXY(65,14);
//$fpdf->Cell(80, 10, $nombreem,0);
$fpdf->MultiCell(110, 4, utf8_decode($nombreem), '0', 'L', 0);
$fpdf->SetTextColor(60);
$fpdf->SetFont('helvetica', 'B', 7);
//$fpdf->Ln(6);
$fpdf->SetX(65);
$fpdf->Cell(80, 10, utf8_decode('J-').$rifem,0);
$fpdf->SetTextColor(100);
$fpdf->SetFont('helvetica', '', 7);
$fpdf->Ln(6);
$fpdf->SetX(65);
$fpdf->Cell(80, 5, $direccion1);
$fpdf->Ln(3);
$fpdf->SetX(65);
$fpdf->Cell(80, 5, $direccion2);
$fpdf->SetFont('helvetica', '', 7);
$fpdf->Ln(3);
$fpdf->SetX(65);
$fpdf->Cell(80, 5, $telefenoem.$telefono);
$fpdf->Ln(3);
$fpdf->SetX(65);
$fpdf->Cell(80, 5, $instagram);
$fpdf->Ln(3);
$fpdf->SetX(65);
$fpdf->Cell(80, 5, $email);

//Dato del Pedido Cliente-Paciente
//obtenemos los datos de la cabecera de la venta actual


require_once "../modelos/Pedido.php";
$pedido		= new Pedido();
$rsptav		=$pedido->pedidocabecera($_GET["id"]);
//recorremos todos los valores que obtengamos
$regv		=$rsptav->fetch_object();

$cliente    	=$regv->cliente;
$direccion		=$regv->direccion;
$telefono   	=$regv->telefono;
$rif        	=$regv->num_documento;
$licencia_licor	=$regv->licencia_licor;
$licencia_licord=$regv->licencia_licord;
$tdoc			=$regv->tipo_documento;
$cliented   	=$regv->cliented;
$direcciond		=$regv->direcciond;
$telefonod  	=$regv->telefonod;
$rifd       	=$regv->num_documentod;
$tdocd			=$regv->tipo_documentod;
$vendedor		=$regv->vendedor;
$tdoc			='Pedido';

// Pendiente
//$total_ordenproduccion	=$regv->total_ordenproduccion;
$total_pedido 	=$regv->cajas;
$longitud		=strlen($regv->num_pedido);
$serie			='0000';
$prefac			= substr($serie, 1, 4-$longitud);
$nrofactura		='P-'.$prefac.$regv->num_pedido;
$Fecha 			=$regv->fecha;
$Fecha1			=Ymd_dmY($Fecha);
if ($tdoc=="RIF"){
    $rif 	= "J-".$rif;
    $rift 	= "RIF";
}else{
    $rif 	= "V-".$rif;
    $rift 	= "CÉDULA";
}
if ($tdocd=="RIF"){
	$rifd 	= "J-".$rifd;
	$riftd 	= "RIF";
}else{
	$rifd 	= "CI-".$rifd;
	$riftd 	= "CÉDULA";
}


$antes = '';
$monto = $total_pedido;
$despues = '';

$fpdf->SetXY(150,14);
$fpdf->SetTextColor(60);
$fpdf->SetFont('helvetica', 'B', 8);
$fpdf->Cell(50, 10, 'PEDIDO',0,0,'R');
$fpdf->SetFont('helvetica', '', 8);
$fpdf->Ln(4);
$fpdf->SetX(150);
$fpdf->Cell(50, 10,  $nrofactura,0,0,'R');
$fpdf->Ln(5);
$fpdf->SetX(150);
$fpdf->SetFont('helvetica', 'B', 8);
$fpdf->Cell(50, 10, 'FECHA',0,0,'R');
$fpdf->SetFont('helvetica', '', 8);
$fpdf->Ln(4);
$fpdf->SetX(150);
$fpdf->Cell(50, 10, $Fecha1,0,0,'R');
//$fpdf->Ln(4);
//$fpdf->SetX(150);
//$fpdf->Cell(50, 10, $cliente,0,0,'R');
$fpdf->Ln(5);
$fpdf->SetX(150);
$fpdf->SetFont('helvetica', 'B', 8);
$fpdf->Cell(50, 10, 'UNIDADES',0,0,'R');
$fpdf->SetFont('helvetica', '', 8);
$fpdf->Ln(4);
$fpdf->SetX(150);
$fpdf->Cell(50, 10, $antes.number_format($total_pedido, 0, ',', '.').$despues,0,0,'R');

//Datos deL cLIENTE

$fpdf->SetXY(15,45);
$fpdf->SetFont('helvetica', 'B', 7);
$fpdf->SetTextColor(60);
$fpdf->Cell(80, 10, 'CLIENTE',0,0,'L');
$fpdf->Ln(4);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', 'B', 9);
$fpdf->SetTextColor(60);
$fpdf->Cell(80, 10, $cliente,0,0,'L');


$fpdf->Ln(6);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', 'B', 7);
$fpdf->SetTextColor(60);
$fpdf->Cell(80, 10, utf8_decode('DIRECCIÓN'),0,0,'L');
$fpdf->Ln(7);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', 'B', 8);
$fpdf->SetTextColor(60);
//$fpdf->Cell(80, 10, $direccion,0,0,'L');
$fpdf->MultiCell(180, 4, utf8_decode($direccion), '0', 'L', 0);

//$fpdf->Ln(6);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', 'B', 7);
$fpdf->SetTextColor(60);
$fpdf->Cell(80, 10, utf8_decode($riftd),0,0,'L');
$fpdf->Ln(4);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', 'B', 9);
$fpdf->SetTextColor(60);
$fpdf->Cell(80, 10, utf8_decode($rif),0,0,'L');

$fpdf->Ln(6);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', 'B', 7);
$fpdf->SetTextColor(60);
$fpdf->Cell(80, 10, utf8_decode('TELÉFONO'),0,0,'L');
$fpdf->Ln(4);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', 'B', 9);
$fpdf->SetTextColor(60);
$fpdf->Cell(80, 10, utf8_decode($telefono),0,0,'L');




//Encabezado deL PEDIDO
$y		=$fpdf->GetY()+10;
$fpdf->SetY($y);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', '', 8);
$fpdf->SetFillColor(123, 122, 122);
$fpdf->SetLineWidth(0);
$fpdf->SetDrawColor(203,37,37);
$fpdf->SetTextColor(255,255,255);
//Cuadro
$fpdf->Rect(15,$y,187,7,'F');
//Titulos
$fpdf->Cell(85, 7, utf8_decode('ARTÍCULO'), 0, 0, 'C', 0);
$fpdf->Cell(27, 7, 'CANTIDAD', 0, 0, 'C', 0);
$fpdf->Cell(35, 7, 'PRECIO $', 0, 0, 'C', 0);
$fpdf->Cell(40, 7, 'TOTAL', 0, 0, 'C', 0);

//Detalles
$y		=$fpdf->GetY()+10;
$fpdf->SetY($y);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', '', 8);
$fpdf->SetDrawColor(180);
$fpdf->SetTextColor(60);
$fpdf->SetLineWidth(0);

//Campos
//Buscamos los detalles de los insumo
$rsptad=$pedido->pedidodetalles($_GET["id"]);
$total		=0;
$totald		=0;
while($regd=$rsptad->fetch_object()){
	$precio 	=	$regd->precio_venta;
	$preciod 	=	$regd->precio_ventad;
	$subtotal	=	$regd->cajas*$precio;
	$subtotald	=	$regd->cajas*$preciod;
	$total		=	$total+$subtotal;
	$totald		=	$totald+$subtotald;
		
	$articulo	= str_replace("amp;", "", $regd->articulo);
	$desc		= ' UxCaja: '.number_format($regd->unidadesxcaja, 0, ',', '.').' DE '.utf8_decode($regd->capacidad).', GRADO DE ALCOHOL: '.utf8_decode($regd->gradoalcohol);

	$fpdf->SetXY(15,$y);
	//$fpdf->Cell(75, 7, utf8_decode($articulo.$desc),0,0,'L',0);
	$yi=$fpdf->GetY();
	$fpdf->MultiCell(85,4,utf8_decode($articulo.$desc),0,'L',0);
	$yf=$fpdf->GetY();
	$fpdf->SetXY(100,$yi);	
	$fpdf->Cell(27, 7, number_format($regd->cajas, 2, ',', '.'), 0, 0, 'C', 0);
	$fpdf->Cell(35, 7, number_format($preciod, 2, ',', '.'), 0, 0, 'R', 0);
	$fpdf->Cell(40, 7, number_format($subtotald, 2, ',', '.'), 0, 0, 'R',0);
    //$yf1=$fpdf->GetY();
	$fpdf->Line(16,$yf+2,202,$yf+2);
	$y=$yf+6;
}

//Totales
$iva = 0;
$ivad = 0;
$totalapagar	=	$total + $iva;
$totalapagard	=	$totald + $ivad;
$y		=$y+4;
$fpdf	->SetY($y);
$fpdf	->SetX(117);
$fpdf	->Cell(35, 5, 'MONTO TOTAL', 'B', 0, 'R', 0);
$fpdf	->Cell(50, 5, number_format($totald, 2, ',', '.').' $', 'B', 0, 'R', 0);
/*
//Encabezado de detalle de insumo
$y		=$y+15;
$fpdf->SetY($y);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', '', 8);
$fpdf->SetFillColor(123, 122, 122);
$fpdf->SetLineWidth(0);
$fpdf->SetDrawColor(203,37,37);
$fpdf->SetTextColor(255,255,255);
//Cuadro
$fpdf->Rect(15,$y,187,7,'F');
//Titulos
$fpdf->Cell(75, 7, utf8_decode('PRODUCTO TERMINADO'), 0, 0, 'C', 0);
$fpdf->Cell(45, 7, 'ALMACEN', 0, 0, 'C', 0);
$fpdf->Cell(37, 7, 'CANTIDAD', 0, 0, 'C', 0);
$fpdf->Cell(30, 7, 'UNIDAD DE MEDIDA', 0, 0, 'C', 0);

//Detalles
$y		=$fpdf->GetY()+10;
$fpdf->SetY($y);
$fpdf->SetX(15);
$fpdf->SetFont('helvetica', '', 8);
$fpdf->SetDrawColor(180);
$fpdf->SetTextColor(60);
$fpdf->SetLineWidth(0);

//Buscamos los detalles de los insumo
$rsptad1=$orden->ordenproducciondetalles2($_GET["id"]);

while($regd=$rsptad1->fetch_object()){
	
		
	$articulo	= str_replace("amp;", "", $regd->articulo);
	$cantidad	= number_format($regd->cantidad, 0, ',', '.');
	
	$fpdf->SetXY(15,$y);
	$fpdf->Cell(75, 7, utf8_decode($articulo),0,0,'L',0);
	
	$fpdf->Cell(45, 7, $regd->almacen, 0, 0, 'R', 0);
	$fpdf->Cell(37, 7, $cantidad, 0, 0, 'C', 0);
	$fpdf->Cell(30, 7, $regd->unidadmedidad, 0, 0, 'C', 0);
    $yf=$fpdf->GetY();
	$fpdf->Line(16,$yf+6,202,$yf+6);
	$y=$yf+6;
}
*/



$fpdf->OutPut(utf8_decode('Pedido_').$nrofactura,'I');